From c9556bebe002c0c9eb0d30ff4b482141cae2352b Mon Sep 17 00:00:00 2001
From: Trianta <56975502+Trimutex@users.noreply.github.com>
Date: Wed, 24 Jan 2024 19:28:47 -0600
Subject: [PATCH] Update to current dots
---
hypr/hyprland.conf | 16 +++++++++-------
waybar/autobar.sh | 32 ++++++++++++++++++++++++++++++++
waybar/{config.json => config} | 2 +-
waybar/style.css | 21 +++++++++++++++++++++
4 files changed, 63 insertions(+), 8 deletions(-)
create mode 100755 waybar/autobar.sh
rename waybar/{config.json => config} (99%)
diff --git a/hypr/hyprland.conf b/hypr/hyprland.conf
index d896c49..12696c0 100755
--- a/hypr/hyprland.conf
+++ b/hypr/hyprland.conf
@@ -2,23 +2,23 @@
# See https://wiki.hyprland.org/Configuring/Monitors/
# Day
-monitor=DP-2, highres, 0x1080, 1, vrr, 1
-monitor=DP-3, highres, 760x0, 1, vrr, 1
-workspace = DP-3, 5
+#monitor=DP-2, highres, 0x1080, 1, vrr, 1
+#monitor=DP-3, highres, 760x0, 1, vrr, 1
+#workspace = DP-3, 5
# Night
-#monitor=DP-2, highrr, 0x0, 1, bitdepth, 10, vrr, 1
-#monitor=DP-3, disable
+monitor=DP-2, highrr, 0x0, 1, bitdepth, 10, vrr, 1
+monitor=DP-3, disable
# Main workspace
workspace = DP-2, 1
# Color: Catppuccin Mocha
-source=~/.config/hypr/mocha.conf
+source = ~/.config/hypr/mocha.conf
# Launch applications
exec-once = hyprpaper
-exec-once = waybar -c ~/.config/waybar/config.json
+exec-once = ~/.config/waybar/autobar.sh
exec-once = syncthing --no-browser
exec-once = hyprctl setcursor Catppuccin-Mocha-Lavender 24
exec-once = xwaylandvideobridge
@@ -117,6 +117,8 @@ windowrulev2 = pseudo, title:(Warframe.*)
windowrulev2 = size 2646 1108, title:(Warframe.*)
windowrulev2 = pseudo, class:(steam_app_1361210)
windowrulev2 = size 2646 1108, class:(steam_app_1361210)
+windowrulev2 = pseudo, class:(Mindustry)
+windowrulev2 = size 2646 1108, class:(Mindustry)
# Super bind
$mainMod = SUPER
diff --git a/waybar/autobar.sh b/waybar/autobar.sh
new file mode 100755
index 0000000..fca6b0c
--- /dev/null
+++ b/waybar/autobar.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# start waybar if not started
+if ! pgrep -x "waybar" > /dev/null; then
+ waybar &
+fi
+
+# current checksums
+current_checksum_config=$(md5sum ~/.config/waybar/config)
+current_checksum_style=$(md5sum ~/.config/waybar/style.css)
+
+# loop forever
+while true; do
+ # new checksums
+ new_checksum_config=$(md5sum ~/.config/waybar/config)
+ new_checksum_style=$(md5sum ~/.config/waybar/style.css)
+
+ # if checksums are different
+ if [ "$current_checksum_config" != "$new_checksum_config" ] || [ "$current_checksum_style" != "$new_checksum_style" ]; then
+ # kill waybar
+ killall waybar
+
+ # start waybar
+ waybar &
+
+ # update checksums
+ current_checksum_config=$new_checksum_config
+ current_checksum_style=$new_checksum_style
+ sleep 1
+ fi
+done
+
diff --git a/waybar/config.json b/waybar/config
similarity index 99%
rename from waybar/config.json
rename to waybar/config
index ec841c9..5cb4eec 100755
--- a/waybar/config.json
+++ b/waybar/config
@@ -27,7 +27,7 @@
"custom/poweroff"
],
"clock": {
- "interval": 60,
+ "interval": 1,
"format": "{:%H:%M:%S}",
"format-alt": "{:%Y-%m-%d}",
"tooltip-format": "{:%Y %B}\n{calendar}"
diff --git a/waybar/style.css b/waybar/style.css
index b2768d4..bd0a520 100755
--- a/waybar/style.css
+++ b/waybar/style.css
@@ -51,6 +51,26 @@ window#waybar.hidden {
padding: 0 10px;
}
+/* Left side */
+#wireplumber,
+#disk,
+#memory,
+#cpu,
+#custom-gpu,
+#temperature {
+ color: @teal;
+}
+
+/* Right side */
+#clock,
+#network,
+#tray,
+#custom-poweroff,
+#custom-weather {
+ color: @sapphire;
+}
+
+/* Old Colors
#wireplumber{
color: @sapphire;
}
@@ -69,3 +89,4 @@ window#waybar.hidden {
#temperature {
color: @sky;
}
+*/